Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.inbound
Interface SNAInboundConfiguration

    public interface SNAInboundConfiguration

The configuration object for inbound SNALU62 application. For more information about each method, see the corresponding online help for the eWay configuration editor GUI.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/12/12 00:11:34 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Nested Class Summary
`static interface` | `SNAInboundConfiguration.SNAInboundConnectionEstablish` The configuration object for inbound ConnectionEstablish section.
`static interface` | `SNAInboundConfiguration.SNAInboundConnectionManagement` The configuration object for inbound ConnectionManagement section.
`static interface` | `SNAInboundConfiguration.SNAInboundGeneralSettings` The configuration object for inbound GeneralSettings section.
`static interface` | `SNAInboundConfiguration.SNAInboundListenerSchedule` The configuration object for inbound ListenerSchedule section.
`static interface` | `SNAInboundConfiguration.SNAInboundSchedules` The configuration object for inbound Schedules section.
`static interface` | `SNAInboundConfiguration.SNAInboundServiceSchedule` The configuration object for inbound ServiceSchedule section.
`static interface` | `SNAInboundConfiguration.SNAInboundSettings` The configuration object for inbound SNASettings section.

Field Summary
`static java.lang.String` | `version`

Method Summary
`SNAInboundConfiguration.SNAInboundConnectionEstablish` | `getConnectionEstablishment()` Gets SNAInboundConnectionEstablish object
`SNAInboundConfiguration.SNAInboundGeneralSettings` | `getGeneralSettings()` Gets SNAInboundGeneralSettings object
`SNAInboundConfiguration.SNAInboundConnectionManagement` | `getInboundConnectionManagement()` Gets SNAInboundConnectionManagement
`SNAInboundConfiguration.SNAInboundSchedules` | `getInboundSchedules()` Gets SNAInboundSchedules
`SNAInboundConfiguration.SNAInboundSettings` | `getSNASettings()` Gets SNAInboundSettings object
`void` | `validate()` Validates inbound configuration

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getGeneralSettings

    SNAInboundConfiguration.SNAInboundGeneralSettings getGeneralSettings()

  Gets SNAInboundGeneralSettings object

  Returns:
    SNAInboundGeneralSettings object

### getSNASettings

    SNAInboundConfiguration.SNAInboundSettings getSNASettings()

  Gets SNAInboundSettings object

  Returns:
    SNAInboundSettings object

### getConnectionEstablishment

    SNAInboundConfiguration.SNAInboundConnectionEstablish getConnectionEstablishment()

  Gets SNAInboundConnectionEstablish object

  Returns:
    SNAInboundConnectionEstablish object

### getInboundSchedules

    SNAInboundConfiguration.SNAInboundSchedules getInboundSchedules()

  Gets SNAInboundSchedules

  Returns:
    SNAInboundSchedules object

### getInboundConnectionManagement

    SNAInboundConfiguration.SNAInboundConnectionManagement getInboundConnectionManagement()

  Gets SNAInboundConnectionManagement

  Returns:
    SNAInboundConnectionManagement object

### validate

    void validate()
                  throws SNAApplicationException

  Validates inbound configuration

  Throws:
    `SNAApplicationException` - up on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.